Bug 43896 - TypeError: cannot concatenate 'str' and 'NoneType' objects
TypeError: cannot concatenate 'str' and 'NoneType' objects
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 08:49 CET by Stefan Gohmann
Modified: 2017-07-13 15:37 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.086
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Error handling, Troubleshooting, Usability
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (801 bytes, patch)
2017-03-16 12:28 CET, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2017-03-16 08:49:48 CET
I see this traceback sometimes during the App installation:

 File: /usr/share/univention-management-console/i18n/de/apps.mo
 Traceback (most recent call last):
   File "<stdin>", line 51, in <module>
   File "/usr/lib/python2.7/dist-packages/polib.py", line 544, in to_binary
     msgid += self._encode(e.msgid)
 TypeError: cannot concatenate 'str' and 'NoneType' objects
 File: /etc/apt/apt.conf.d/55user_agent
 Executing interface update_available for amfn8m5vqt
Comment 1 Florian Best univentionstaff 2017-03-16 12:28:49 CET
Created attachment 8556 [details]
patch
Comment 2 Johannes Keiser univentionstaff 2017-07-05 13:09:48 CEST
(In reply to Florian Best from comment #1)
> Created attachment 8556 [details]
> patch

Applied patch:

r 80857
univention-appcenter (6.0.8-5) 
* Bug #43896: Applied patch from Florian Best - Prevent error in apps.mo
when 'name' or 'description' attribute is not set.

YAML: r 80858
Comment 3 Florian Best univentionstaff 2017-07-06 10:22:56 CEST
OK: translations are still generated
OK: empty msgid causes the translation not to be in the .mo file and therefore english is used
OK: YAML
Comment 4 Janek Walkenhorst univentionstaff 2017-07-13 15:37:52 CEST
<http://errata.software-univention.de/ucs/4.2/96.html>